Transfer currency
POST /v2/treasury/wallet/{walletId}/transfer/{currencyName}
POST
/v2/treasury/wallet/{walletId}/transfer/{currencyName}
Transfer currency to another address
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” walletId
required
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The wallet ID
currencyName
required
string
USDCThe currency name
Request Body required
Section titled “Request Body required ”object
walletId
required
The wallet ID
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 currencyName
required
The currency name
string
USDC toAddress
required
The destination address
string
0x1234... value
required
The amount to transfer up to 6 decimal places
string
100.123456 memo
Optional memo for the transfer
string
Payment for servicesResponses
Section titled “ Responses ”Created successfully
Query ID for tracking the transfer transaction
object
queryId
required
The query ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error